Subject: Re: Feature request: Bash compliance
From: Bart Schaefer <[email-masked]>
To: Sebastian Hoffner <[email-masked]>
Cc: Zsh hackers list <[email-masked]>
Date: Fri, 22 Jul 2016 11:35:54 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Jul 22,  3:51pm, Sebastian Hoffner wrote:
} Subject: Re: Feature request: Bash compliance
}
} I ran into problems which are detailed here:
} https://github.com/intuit/wasabi/issues/49 . My zsh is installed via
} homebrew: zsh 5.2 (x86_64-apple-darwin15.4.0).

torch% case this in
case> this) echo now that;&
case> that) echo this is that;;
case> esac
now that
this is that
torch% 

I would note that wasabi.sh begins with

    #!/usr/bin/env bash

which has the consequence that zsh is going to hand it off to bash even
if your $SHELL is zsh, unless you are explicitly passing it to zsh with
e.g. "zsh wasabi.sh".  So I think the problem here is all bash-3.2 and
not zsh.